package fr.inria.icocoa.junittest;

import java.io.File;
import java.io.FileInputStream;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class MyPetitTest {

	public static void diplayNode(Node n) {
		System.out.println(n.getLocalName() + " - " + n.getNodeName() + " - "
				+ n.getBaseURI());
		NodeList l = n.getChildNodes();
		for (int i = 0; i < l.getLength(); i++)
			MyPetitTest.diplayNode(l.item(i));

	}

	public static void diplayElement(Element n) {
		System.out.println(n.getLocalName() + " - " + n.getNodeName() + " - "
				+ n.getBaseURI());
		NodeList l = n.getChildNodes();
		for (int i = 0; i < l.getLength(); i++)
			MyPetitTest.diplayElement((Element) l.item(i));
	}

	public static void main(String args[]) {

		try {
			String SDLfilename = System.getProperty("user.dir")
					+ "/amigo-s/VerySimpleService.owl";

			// -Chargement du document-------------------------------------
			DocumentBuilderFactory factory = DocumentBuilderFactory
					.newInstance();
			DocumentBuilder builder = factory.newDocumentBuilder();
			FileInputStream fis = new FileInputStream(new File(SDLfilename));
			Document doc = builder.parse(fis);

			System.out
					.println("SDLfilename =" + SDLfilename + "\nDoc = " + doc);

			MyPetitTest.diplayNode(doc);

			/*
			 * NodeList l = doc.getChildNodes(); for (int i = 0; i <
			 * l.getLength(); i++) MyPetitTest.diplayNode(l.item(i));
			 */

			System.out
					.println("------------------------------------------------------------------------");
			NodeList l = doc.getChildNodes();
			for (int i = 0; i < l.getLength(); i++)
				MyPetitTest.diplayElement((Element) l.item(i));

		} catch (Exception e) {
			e.printStackTrace();
		}

	}
}
